package com.sd.business.controller.board;

import com.sd.business.entity.board.vo.TurnoverRateStatisticsVo;
import com.sd.business.service.order.OrderSalesShipmentStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 周转率看板 前端控制器
 * </p>
 *
 * @author
 * @since 2023-10-20
 */
@RestController
@RequestMapping("/turnoverRateBoard")
public class TurnoverRateBoardController {
    @Autowired
    private OrderSalesShipmentStatisticsService orderSalesShipmentStatisticsService;

    /**
     * 获取周转率数据列表
     * @return
     */
    @PostMapping("/getTurnoverRateStatisticsList")
    public List<TurnoverRateStatisticsVo> getTurnoverRateStatisticsList() {
        return orderSalesShipmentStatisticsService.getTurnoverRateStatisticsList();
    }

}
